Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ImplementationRepository::Administration Interface Reference

List of all members.

## Public Methods
void | activate_server (in string server) raises (NotFound, CannotActivate)
void | register_server (in string server, in StartupOptions options) raises (AlreadyRegistered)
void | reregister_server (in string server, in StartupOptions options)
void | remove_server (in string server) raises (NotFound)
void | shutdown_server (in string server) raises (NotFound)
Address | server_is_running (in string server, in Address addr, in ServerObject server_object) raises (NotFound)
void | server_is_shutting_down (in string server) raises (NotFound)
void | find (in string server, out ServerInformation info) raises (NotFound)
void | list (in unsigned long how_many, out ServerInformationList server_list, out ServerInformationIterator server_iterator)

## Member Function Documentation

void ImplementationRepository::Administration::activate_server | ( | in string | server | ) | raises (NotFound, CannotActivate)

void ImplementationRepository::Administration::find | ( | in string | server,
|  | out ServerInformation | info
| ) | raises (NotFound)

void ImplementationRepository::Administration::list | ( | in unsigned long | how_many,
|  | out ServerInformationList | server_list,
|  | out ServerInformationIterator | server_iterator
| ) |

void ImplementationRepository::Administration::register_server | ( | in string | server,
|  | in StartupOptions | options
| ) | raises (AlreadyRegistered)

void ImplementationRepository::Administration::remove_server | ( | in string | server | ) | raises (NotFound)

void ImplementationRepository::Administration::reregister_server | ( | in string | server,
|  | in StartupOptions | options
| ) |

Address ImplementationRepository::Administration::server_is_running | ( | in string | server,
|  | in Address | addr,
|  | in ServerObject | server_object
| ) | raises (NotFound)

void ImplementationRepository::Administration::server_is_shutting_down | ( | in string | server | ) | raises (NotFound)

void ImplementationRepository::Administration::shutdown_server | ( | in string | server | ) | raises (NotFound)

The documentation for this interface was generated from the following file:

- ImplRepo.pidl